<?php
error_reporting(0);  
//include required class for build nnusoap web service server
require_once('../lib/nusoap.php');

// Create server object
$server = new soap_server();

// configure  WSDL
$server->configureWSDL('File Transfer Using Nusoap', 'urn:fileTransferwsdl');

// Register the method to expose
$server->register('transfer_file',                                                              // method

    array('filename' => 'xsd:string','fileAsEndcodedString' => 'xsd:string'),                 // input parameters
    array('return' => 'xsd:string'),                                                         // output parameters
    'urn:fileTransferwsdl',                                                                 // namespace
    'urn:fileTransferwsdl#transferFile',                                                   // soapaction
    'rpc',                                                                                // style
    'encoded',                                                                           // use
    'Transfer any file using web service'                                               // documentation
);

// Define the method as a PHP function

function transfer_file($pFilename,$pEncodedString) {
    
           
            $decodedData=base64_decode($pEncodedString);
            $fp = fopen($pFilename, 'w');
            fwrite($fp, $decodedData);
            fclose($fp);
            return 'Your file is transfer to server successfully file name is -, ' . $pFilename;
    
 
}


// Use the request to (try to) invoke the service
$HTTP_RAW_POST_DATA = isset($HTTP_RAW_POST_DATA) ? $HTTP_RAW_POST_DATA : '';
$server->service($HTTP_RAW_POST_DATA);
?>